## NAME

i.rgb.his - Red-green-blue (rgb) to hue-intensity-saturation (his) raster map color transformation function.
(GRASS Image Processing Program)

## SYNOPSIS

i.rgb.his
i.rgb.his help
i.rgb.his red_input=name green_input=name blue_input=name hue_output=name intensity_output=name saturation_output=name

## DESCRIPTION

i.rgb.his is an image processing program that processes three input raster map layers as red, green, and blue components and produces three output raster map layers representing the hue, intensity, and saturation of the data. The output raster map layers are created by a standard red-green-blue (rgb) to hue-intensity-saturation (his) color transformation. Each output raster map layer is given a linear gray scale color table. The current geographic region definition and mask settings are respected.

### Parameters:

red_input=name
  Input raster map layer representing the red component.
green_input=name
  Input raster map layer representing the green component.
blue_input=name
  Input raster map layer representing the blue component.
hue_output=name
  Output raster map layer representing hue.
intensity_output=name
  Output raster map layer representing intensity.
saturation_output=name
  Output raster map layer representing saturation.

## SEE ALSO

hsv.rgb.sh
i.his.rgb
rgb.hsv.sh

## AUTHOR

David Satnik, GIS Laboratory, Central Washington University,
with acknowledgements to Ali Vali, Space Research Center, for the core routine.

Last changed: $Date: 2002/01/25 05:45:33 $